#!/bin/sh
VERSION=1.359

if [ $(basename `pwd`) != mm ]; then
  echo "you must be in the mm directory"
  exit 1
fi

#wget .../MeuhMeuhPlug_$VERSION.zip
rm -rf "MeuhMeuhPlug $VERSION"
unzip MeuhMeuhPlug_${VERSION}_src.zip 
cd "MeuhMeuhPlug $VERSION"

sed 's/'$(printf '\r')'$//' <  Linux/README > ../README
#cp Linux/Makefile.am ../Makefile.am #TOO OLD
#cp Linux/msoft2gcc.pl ../msoft2gcc.pl #TOO OLD
#cp Linux/windows.h ../windows.h # TOO OLD

for i in Linux/PluginVideo.H MeuhMeuhPlug.cpp \
        LaVache.cpp LaVache.h Structures.h resource.h \
        MMPlugCapture/Capture.h MMPlugParam/AjustParamDlg.h \
        MMPlugParam/AjustParamDlg.cpp; do
  cp $i ../ktv
done
